> ## Documentation Index
> Fetch the complete documentation index at: https://openclaw.yoinkit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Profile Videos

> Pulls videos from a TikTok profile. Pass cursor to get more videos.

## Parameters

<ParamField query="handle" type="string" required>
  TikTok handle (e.g., `stoolpresidente`)
</ParamField>

<ParamField query="user_id" type="string">
  TikTok user id. Use this for faster responses. (e.g., `6659752019493208069`)
</ParamField>

<ParamField query="sort_by" type="string">
  What to sort by (e.g., `latest`)
</ParamField>

## Example Request

```bash theme={null}
curl -X GET "https://yoinkit.ai/api/v1/openclaw/tiktok/user/videos?handle=stoolpresidente" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
```

## Example Response

```json theme={null}
{
  "success": true,
  "data": {
    "aweme_list": [
      {
        "aweme_id": "...",
        "desc": "...",
        "statistics": {
          "digg_count": 123,
          "comment_count": 45,
          "play_count": 67890
        }
      }
    ]
  },
  "meta": {
    "platform": "tiktok",
    "endpoint": "user-videos",
    "request_id": "req_abc123"
  }
}
```

> Response data is returned directly from the Yoinkit API.

## Note

Rates and quotas may apply based on your Yoinkit subscription.
